
Foreman - Bug #2486

Fact values importer recreating all values in the database

05/10/2013 07:39 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Facts   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When uploading facts via /fact_values/create, a large number of database inserts are made as it's deleting all existing associated

fact_values and inserting new ones.  By design it should only be deleting changed values, then inserting the new ones.

Related issues:

Related to Foreman - Bug #2301: Nodes with puppet running are not always list... Resolved 03/11/2013

Associated revisions

Revision 6dffd64b - 05/12/2013 08:38 AM - Dominic Cleal

fixes #2486 - ensure facts import is idempotent when values are unchanged

Revision 824b150d - 05/13/2013 03:32 PM - Dominic Cleal

fixes #2486 - ensure facts import is idempotent when values are unchanged

(cherry picked from commit 6dffd64b9d1e0be4cdf76534877438f52c42f200)

History

#1 - 05/10/2013 07:44 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/604

I hope this will have a nice performance boost too.

#2 - 05/12/2013 09:46 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6dffd64b9d1e0be4cdf76534877438f52c42f200.
